打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
未登录用户的IP地址会在进行任意编辑后公开展示。

MediaWiki:Common.css:修订间差异

MediaWiki界面页面
甲虫留言 | 贡献
创建页面,内容为“@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+HK:[email protected]&family=Noto+Sans+SC:[email protected]&family=Noto+Sans+TC:[email protected]&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap'); body { font-family: "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif; } .mw-editsection-like { font-family: "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif; } .mw-body { /* h1's can exist outsi…”
 
甲虫留言 | 贡献
无编辑摘要
第1行: 第1行:
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+HK:[email protected]&family=Noto+Sans+SC:[email protected]&family=Noto+Sans+TC:[email protected]&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+HK:[email protected]&family=Noto+Sans+SC:[email protected]&family=Noto+Sans+TC:[email protected]&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');


body {  
@font-face {
   font-family: "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;  
  font-family: 'Triglavian';
  /* Name your font family */
  src: url('https://make.itworks.cc/assets/fonts/triglavian-completed.otf');
  /* Locate the .ttf file within your directory*/
}
 
/* Regular */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-regular.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}
 
/* Italic */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-italic.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
}
 
/* Bold */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-bold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}
 
/* Bold Italic */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-bolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}
 
/* Condensed Regular */
@font-face {
  font-family: 'EveSansNeue Condensed';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-condensed.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}
 
/* Condensed Bold */
@font-face {
  font-family: 'EveSansNeue Condensed';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-condensedbold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}
 
/* Condensed Bold Italic */
@font-face {
  font-family: 'EveSansNeue Condensed';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-condensedbolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}
 
/* Expanded Regular */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expanded.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}
 
/* Expanded Bold */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expandedbold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}
 
/* Expanded Bold Italic */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expandedbolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}
 
/* Expanded Italic */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expandeditalic.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
}
 
 
body {
   font-family: 'EveSansNeue', "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
}
}


.mw-editsection-like {
.mw-editsection-like {
   font-family: "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
   font-family: 'EveSansNeue', "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
}
}


第20行: 第116行:
.mw-body-content h2,
.mw-body-content h2,
.mw-body-content .mw-heading2 {
.mw-body-content .mw-heading2 {
   font-family: "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
   font-family: 'EveSansNeue', "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
}
}

2024年10月14日 (一) 09:23的版本

@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+HK:[email protected]&family=Noto+Sans+SC:[email protected]&family=Noto+Sans+TC:[email protected]&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');

@font-face {
  font-family: 'Triglavian';
  /* Name your font family */
  src: url('https://make.itworks.cc/assets/fonts/triglavian-completed.otf');
  /* Locate the .ttf file within your directory*/
}

/* Regular */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-regular.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

/* Italic */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-italic.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
}

/* Bold */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-bold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}

/* Bold Italic */
@font-face {
  font-family: 'EveSansNeue';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-bolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}

/* Condensed Regular */
@font-face {
  font-family: 'EveSansNeue Condensed';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-condensed.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

/* Condensed Bold */
@font-face {
  font-family: 'EveSansNeue Condensed';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-condensedbold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}

/* Condensed Bold Italic */
@font-face {
  font-family: 'EveSansNeue Condensed';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-condensedbolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}

/* Expanded Regular */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expanded.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

/* Expanded Bold */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expandedbold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}

/* Expanded Bold Italic */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expandedbolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
}

/* Expanded Italic */
@font-face {
  font-family: 'EveSansNeue Expanded';
  src: url('https://make.itworks.cc/assets/fonts/evesansneue-expandeditalic.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
}


body {
  font-family: 'EveSansNeue', "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
}

.mw-editsection-like {
  font-family: 'EveSansNeue', "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
}

.mw-body {
  /* h1's can exist outside of `.mw-body-content` so some heading styles
     therefore need to be defined in `.mw-body` as well. */
}

.mw-body h1,
.mw-body .mw-heading1,
.mw-body-content h1,
.mw-body-content .mw-heading1,
.mw-body-content h2,
.mw-body-content .mw-heading2 {
  font-family: 'EveSansNeue', "Noto Sans TC", "Noto Sans HK", "Noto Sans SC", "Noto Sans", sans-serif;
}